| QxOrm 1.2.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qx::dao::detail::QxSqlIn Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlIn : SQL element to verify a list of values (IN, NOT IN, etc.) More...

`#include <QxSqlIn.h>`

Inheritance diagram for qx::dao::detail::QxSqlIn:

List of all members.

## Public Types
enum | type { _in, _not_in, _in_select, _not_in_select }
## Public Member Functions
| QxSqlIn (int index, QxSqlIn::type t)
virtual | ~QxSqlIn ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query) const
virtual void | postProcess (QString &sql) const
## Protected Attributes
QxSqlIn::type | m_type

## Detailed Description

qx::dao::detail::QxSqlIn : SQL element to verify a list of values (IN, NOT IN, etc.)

Definition at line 50 of file QxSqlIn.h.

## Member Enumeration Documentation

enum qx::dao::detail::QxSqlIn::type

Enumerator:

  _in |
  _not_in |
  _in_select |
  _not_in_select |

Definition at line 55 of file QxSqlIn.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlIn::QxSqlIn | ( | int | index,
|  | QxSqlIn::type | t
| ) |  |

virtual qx::dao::detail::QxSqlIn::~QxSqlIn | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void qx::dao::detail::QxSqlIn::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlIn::resolve | ( | QSqlQuery & | query | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual QString qx::dao::detail::QxSqlIn::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

## Member Data Documentation

QxSqlIn::type qx::dao::detail::QxSqlIn::m_type`[protected]`

Definition at line 60 of file QxSqlIn.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlIn.h